PreviousSessionLoginHandlerFactoryBean (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.authn
Class PreviousSessionLoginHandlerFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerFactoryBean
              edu.internet2.middleware.shibboleth.idp.config.profile.authn.PreviousSessionLoginHandlerFactoryBean

All Implemented Interfaces:
  BeanClassLoaderAware, BeanFactoryAware, DisposableBean, FactoryBean, InitializingBean

    public class PreviousSessionLoginHandlerFactoryBean

extends AbstractLoginHandlerFactoryBean

Spring factory for `PreviousSessionLoginHandler`.

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`PreviousSessionLoginHandlerFactoryBean()`

Method Summary
`protected Object` | `createInstance()`
`Class` | `getObjectType()`
`String` | `getServletPath()` Gets the path of the servlet to which the user agent may be redirected.
`boolean` | `reportPreviousSessionAuthnMethod()` Gets whether the login handler will report its authentication method as PreviousSession.
`void` | `setReportPreviousSessionAuthnMethod(boolean report)` Sets whether the login handler will report its authentication method as PreviousSession.
`void` | `setServletPath(String path)` Sets the path of the servlet to which the user agent may be redirected.
`void` | `setSupportsPassiveAuth(boolean supported)` Sets whether the login handler supports passive authentication.
`boolean` | `supportsPassiveAuth()` Gets whether the login handler supports passive authentication.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerFactoryBean
`getAuthenticationDuration, getAuthenticationMethods, populateHandler, setAuthenticationDuration, setAuthenticationMethods`

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreviousSessionLoginHandlerFactoryBean

    public PreviousSessionLoginHandlerFactoryBean()

Method Detail

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`
  Specified by:
    `getObjectType` in class `AbstractFactoryBean`

### getServletPath

    public String getServletPath()

  Gets the path of the servlet to which the user agent may be redirected.

  Returns:
    path of the servlet to which the user agent may be redirected

### setServletPath

    public void setServletPath(String path)

  Sets the path of the servlet to which the user agent may be redirected.

  Parameters:
    `path` - path of the servlet to which the user agent may be redirected

### supportsPassiveAuth

    public boolean supportsPassiveAuth()

  Gets whether the login handler supports passive authentication.

  Returns:
    whether the login handler supports passive authentication

### setSupportsPassiveAuth

    public void setSupportsPassiveAuth(boolean supported)

  Sets whether the login handler supports passive authentication.

  Parameters:
    `supported` - whether the login handler supports passive authentication

### reportPreviousSessionAuthnMethod

    public boolean reportPreviousSessionAuthnMethod()

  Gets whether the login handler will report its authentication method as PreviousSession.

  Returns:
    whether the login handler will report its authentication method as PreviousSession

### setReportPreviousSessionAuthnMethod

    public void setReportPreviousSessionAuthnMethod(boolean report)

  Sets whether the login handler will report its authentication method as PreviousSession.

  Parameters:
    `report` - whether the login handler will report its authentication method as PreviousSession

### createInstance

    protected Object createInstance()
                             throws Exception

  Specified by:
    `createInstance` in class `AbstractFactoryBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.